# DataExchange
TKIGES
IGESData

# IGESData_SingleParentEntity Class Reference

a SingleParentEntity is a kind of IGESEntity which can refer
to a (Single) Parent, from Associativities list of an Entity
a effective SingleParent definition entity must inherit it

`#include <IGESData_SingleParentEntity.hxx>`

Inheritance diagram for IGESData_SingleParentEntity:

[legend]

## Public Member Functions

virtual Standard_EXPORT Handle_IGESData_IGESEntity | SingleParent () const =0
| Returns the parent designated by the Entity, if only one ! .
virtual Standard_EXPORT Standard_Integer | NbChildren () const =0
| Returns the count of Entities designated as children .
virtual Standard_EXPORT Handle_IGESData_IGESEntity | Child (const Standard_Integer num) const =0
| Returns a Child given its rank .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Member Function Documentation

virtual Standard_EXPORT Handle_IGESData_IGESEntity IGESData_SingleParentEntity::Child | ( | const Standard_Integer | num | ) | const`[pure virtual]`

| Implemented in IGESBasic_SingleParent.

Standard_EXPORT const IGESData_SingleParentEntity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity. Reimplemented in IGESBasic_SingleParent.

virtual Standard_EXPORT Standard_Integer IGESData_SingleParentEntity::NbChildren | ( |  | ) | const`[pure virtual]`

| Implemented in IGESBasic_SingleParent.

virtual Standard_EXPORT Handle_IGESData_IGESEntity IGESData_SingleParentEntity::SingleParent | ( |  | ) | const`[pure virtual]`

| Implemented in IGESBasic_SingleParent.

The documentation for this class was generated from the following file:

- IGESData_SingleParentEntity.hxx